<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/direccion_facturacion.php';
require '../usuario/decodeUsuario.php';
require '../../modelo/history.php';
require '../../modelo/global.php';

$response = array();

if (
    isset($_POST['id_usuario']) &&
    isset($_POST['id_direccion_facturacion'])
) {

    $id_usuario = DecodeUser::handlePostUsuario($_POST['id_usuario']);

    if (!$id_usuario) {

        $response['response'] = 'error';
        $response['data'] = 'Id del usuario incorrecto.';

        echo json_encode($response);
        return;
    }

    $id_direccion_facturacion = $_POST['id_direccion_facturacion'];

    $valor_anterior = json_encode(ModeloGlobal::mdlSelect('direccion_facturacion', $id_direccion_facturacion));

    $direccion_facturacion = DireccionFacturacion::mdlDeleteDireccionFacturacion($id_usuario, $id_direccion_facturacion);

    if (!$direccion_facturacion) {
        $response['response'] = 'error';
        $response['data'] = 'No se pudo eliminar la dirección de facturación';
    } else {

        ModeloHistory::mdlAddNewRegister('delete', 'direccion_facturacion', $id_direccion_facturacion, $id_usuario, $valor_anterior);

        $response['response'] = 'success';
        $response['data'] = $direccion_facturacion;
    }

    echo json_encode($response);
    return;
} else {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';

    echo json_encode($response);
    return;
}
